diff -ruN vdr-1.5.7/CONTRIBUTORS vdr-1.5.8/CONTRIBUTORS
--- vdr-1.5.7/CONTRIBUTORS	2007-08-12 13:56:01.000000000 +0200
+++ vdr-1.5.8/CONTRIBUTORS	2007-08-19 16:26:32.000000000 +0200
@@ -887,6 +887,7 @@
  for making the Makefile patch friendlier
  for a patch that was used for implementing setting the user id
  for pointing out that the canonical spelling of codesets is with '-'
+ for a hint on using _nl_msg_cat_cntr
 
 Thomas Koch <tom@harhar.net>
  for his support in keeping the Premiere World channels up to date in 'channels.conf'
@@ -934,12 +935,14 @@
  for reporting a problem with multiple entries of the same subdirectory in the
  "Recordings" menu
 
-Andreas Mair <Andreas.Mair@linogate.com>
+Andreas Mair <andreas@vdr-developer.org>
  for reporting a short display of the main menu if a plugin displays its own OSD and
  is started through a user defined key macro
  for reporting a problem with extremely long summary fields in timers
  for reporting a bug in handling the tfRecording flag when reading timers
  for enabling fonts to be created with a width that overwrites the default width
+ for suggesting to make cBitmap::SetXpm() checks whether the given Xpm pointer is
+ not NULL
 
 Olivier Jacques <jacquesolivier@hotmail.com>)
  for translating OSD texts to the French language
@@ -1017,6 +1020,7 @@
  for suggesting to change the parameter "OSD font" to "Default font" in "Setup/OSD"
  for improving cControl::Launch() to keep 'control' from pointing to uninitialized
  memory
+ for adding internationalization to the "skincurses" plugin
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -1408,6 +1412,7 @@
  for fixing a buffer overflow in initializing the system character table
  for reporting a missing 'P' in vdr.c's SHUTDOWNCANCELROMPT macro
  for fixing a problem with characters >0x7F in the modified version of skipspace()
+ for reporting a faulty comment in Make.config.template
 
 Jürgen Schmitz <j.schmitz@web.de>
  for reporting a bug in displaying the current channel when switching via the SVDRP
@@ -1544,6 +1549,7 @@
  for fixing removing the '-' when entering a channel number where there is no other
  one that fits the input
  for reporting a problem with cStatus::MsgOsdTextItem() being called without a text
+ for reporting a missing install-i18n in the install target in the Makefile
 
 Sascha Klek <sklek@gmx.de>
  for reporting a problem with the '0' key in the "Day" item of the "Timers" menu
@@ -1976,6 +1982,8 @@
  for suggestions that led to implementing cOsd::SetOsdPosition() etc.
  for fixing a typo in the function name of cOsd::SetOsdPosition() and adding a range
  check to it
+ for changing cBitmap::DrawText() to always draw the background unless ColorBg
+ is clrTransparent
 
 Pekka Mauno <pekka.mauno@iki.fi>
  for fixing cSchedule::GetFollowingEvent() in case there is currently no present
@@ -2051,6 +2059,9 @@
  for fixing handling frequencies in NitFilter::Process()
  for making non-primary devices in Transfer mode be also used for recording
  for code and hints on how to use 'fontconfig' to determine which fonts to use
+ for suggesting to make the "Setup/OSD/Language" menu only show those languages
+ that actually have a locale
+ for suggesting to use setenv() instead of setlocale() to set the language for gettext()
 
 Antti Hartikainen <ami+vdr@ah.fi>
  for updating 'S13E' in 'sources.conf'
@@ -2083,6 +2094,10 @@
 Matthias Schwarzott <zzam@gentoo.org>
  for suggesting to add LC_ALL to the checks for UTF-8 at startup
  for fixing getting the code setting from the locale
+ for improving i18n-to-gettext.pl
+ for suggesting to move the "all" target in plugin Makefiles before the
+ "Implicit rules", so that a plain "make" will compile everything
+ for adding DESTDIR and PREFIX handling to the Makefile
 
 Martin Ostermann <martin@familie-ostermann.de>
  for fixing processing the PDCDescriptor in 'libsi' on big endian systems
@@ -2129,7 +2144,10 @@
 Tobias Bratfisch <tobias@reel-multimedia.com>
  for improving numdigits(), isnumber() and strreplace()
  for suggesting to make skipspace() an inline function
+ for making some optimizations in cDvbDevice::SetChannelDevice()
+ for optimizing cMenuEditChrItem::Set()
+ for optimizing cNitFilter::Process()
+ for reducing the number of time(NULL) calls in vdr.c's main loop to a single call
 
-Andreas Mair <andreas@vdr-developer.org>
- for suggesting to make cBitmap::SetXpm() checks whether the given Xpm pointer is
- not NULL
+Bruno Roussel <bruno.roussel@free.fr>
+ for translating OSD texts to the French language
diff -ruN vdr-1.5.7/HISTORY vdr-1.5.8/HISTORY
--- vdr-1.5.7/HISTORY	2007-08-12 13:55:41.000000000 +0200
+++ vdr-1.5.8/HISTORY	2007-08-19 16:34:44.000000000 +0200
@@ -5345,3 +5345,37 @@
   Mair).
 - Added a debug error message to cReceiver::~cReceiver() in case it is still
   attached to a device (thanks to Reinhard Nissl).
+
+2007-08-19: Version 1.5.8
+
+- Added missing install-i18n to the install target in the Makefile (reported
+  by Joachim Wilke).
+- Fixed a faulty comment in Make.config.template (reported by Marco Schlüßler).
+- Improved i18n-to-gettext.pl (thanks to Matthias Schwarzott).
+- Moved the "all" target in plugin Makefiles before the "Implicit rules",
+  so that a plain "make" will compile everything (suggested by Matthias
+  Schwarzott). The "newplugin" script has been changed accordingly.
+  Plugin authors may want to change their Makefiles, too.
+- Added DESTDIR and PREFIX handling to the Makefile (thanks to Matthias
+  Schwarzott).
+- Updated the Finnish OSD texts (thanks to Rolf Ahrenberg).
+- Added internationalization to the "skincurses" plugin (thanks to Rolf
+  Ahrenberg).
+- Checking the string for NULL in I18nTranslate().
+- Updated the French OSD texts (thanks to Bruno Roussel).
+- Some optimizations in cDvbDevice::SetChannelDevice() (thanks to Tobias Bratfisch).
+- Optimized cMenuEditChrItem::Set() (thanks to Tobias Bratfisch).
+- Optimized cNitFilter::Process() (thanks to Tobias Bratfisch).
+- Reduced the number of time(NULL) calls in vdr.c's main loop to a single call
+  (thanks to Tobias Bratfisch).
+- Changed cBitmap::DrawText() to always draw the background unless ColorBg
+  is clrTransparent (thanks to Christoph Haubrich).
+- The "Setup/OSD/Language" menu now only shows those languages that actually
+  have a locale (suggested by Anssi Hannula).
+- Now using setenv() instead of setlocale() to set the language for gettext()
+  (suggested by Anssi Hannula; thanks also to Ludwig Nussel for a hint on using
+  _nl_msg_cat_cntr).
+- When scanning the locale directory, VDR now explicitly looks for a file named
+  vdr.mo. Text files for plugins are now named "vdr-name.mo", when "name" is the
+  name of the plugin. The "newplugin" script has been changed accordingly, and
+  plugin authors should change their Makefiles, too.
diff -ruN vdr-1.5.7/Make.config.template vdr-1.5.8/Make.config.template
--- vdr-1.5.7/Make.config.template	2007-08-12 14:04:17.000000000 +0200
+++ vdr-1.5.8/Make.config.template	2007-08-12 22:43:46.000000000 +0200
@@ -6,7 +6,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Make.config.template 1.12 2007/08/12 12:04:17 kls Exp $
+# $Id: Make.config.template 1.13 2007/08/12 20:43:46 kls Exp $
 
 ### The C compiler and options:
 
@@ -26,7 +26,8 @@
 #DVBDIR   = /usr/src/v4l-dvb/linux
 MANDIR   = /usr/local/man
 BINDIR   = /usr/local/bin
-LOCDIR   = /usr/share/vdr/locale  # set to ./locale to run VDR from within its source directory
+# set to ./locale to run VDR from within its source directory:
+LOCDIR   = /usr/share/vdr/locale
 
 PLUGINDIR= ./PLUGINS
 PLUGINLIBDIR= $(PLUGINDIR)/lib
diff -ruN vdr-1.5.7/Makefile vdr-1.5.8/Makefile
--- vdr-1.5.7/Makefile	2007-08-11 14:26:12.000000000 +0200
+++ vdr-1.5.8/Makefile	2007-08-15 15:47:16.000000000 +0200
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 1.102 2007/08/11 12:26:12 kls Exp $
+# $Id: Makefile 1.104 2007/08/15 13:47:16 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -15,9 +15,11 @@
 CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual
 
 LSIDIR   = ./libsi
-MANDIR   = /usr/local/man
-BINDIR   = /usr/local/bin
-LOCDIR   = /usr/share/vdr/locale
+DESTDIR ?=
+PREFIX  ?= /usr/local
+MANDIR   = $(PREFIX)/share/man
+BINDIR   = $(PREFIX)/bin
+LOCDIR   = $(PREFIX)/share/vdr/locale
 LIBS     = -ljpeg -lpthread -ldl -lcap -lfreetype -lfontconfig
 INCLUDES = -I/usr/include/freetype2
 
@@ -25,6 +27,7 @@
 PLUGINLIBDIR= $(PLUGINDIR)/lib
 
 VIDEODIR = /video
+CONFDIR ?= $(VIDEODIR)
 
 DOXYGEN  = /usr/bin/doxygen
 DOXYFILE = Doxyfile
@@ -123,8 +126,8 @@
 	    done
 
 install-i18n:
-	@mkdir -p $(LOCDIR)
-	@(cd $(LOCALEDIR); cp -r --parents * $(LOCDIR))
+	@mkdir -p $(DESTDIR)$(LOCDIR)
+	@(cd $(LOCALEDIR); cp -r --parents * $(DESTDIR)$(LOCDIR))
 
 # The 'include' directory (for plugins):
 
@@ -157,35 +160,36 @@
 
 # Install the files:
 
-install: install-bin install-conf install-doc install-plugins
+install: install-bin install-conf install-doc install-plugins install-i18n
 
 # VDR binary:
 
 install-bin: vdr
-	@mkdir -p $(BINDIR)
-	@cp --remove-destination vdr runvdr $(BINDIR)
+	@mkdir -p $(DESTDIR)$(BINDIR)
+	@cp --remove-destination vdr runvdr svdrpsend.pl $(DESTDIR)$(BINDIR)
 
 # Configuration files:
 
 install-conf:
-	@if [ ! -d $(VIDEODIR) ]; then\
-	    mkdir -p $(VIDEODIR);\
-	    cp *.conf $(VIDEODIR);\
+	@mkdir -p $(DESTDIR)$(VIDEODIR)
+	@if [ ! -d $(DESTDIR)$(CONFDIR) ]; then\
+	    mkdir -p $(DESTDIR)$(CONFDIR);\
+	    cp *.conf $(DESTDIR)$(CONFDIR);\
 	    fi
 
 # Documentation:
 
 install-doc:
-	@mkdir -p $(MANDIR)/man1
-	@mkdir -p $(MANDIR)/man5
-	@gzip -c vdr.1 > $(MANDIR)/man1/vdr.1.gz
-	@gzip -c vdr.5 > $(MANDIR)/man5/vdr.5.gz
+	@mkdir -p $(DESTDIR)$(MANDIR)/man1
+	@mkdir -p $(DESTDIR)$(MANDIR)/man5
+	@gzip -c vdr.1 > $(DESTDIR)$(MANDIR)/man1/vdr.1.gz
+	@gzip -c vdr.5 > $(DESTDIR)$(MANDIR)/man5/vdr.5.gz
 
 # Plugins:
 
 install-plugins: plugins
-	@mkdir -p $(PLUGINLIBDIR)
-	@cp --remove-destination $(PLUGINDIR)/lib/lib*-*.so.$(APIVERSION) $(PLUGINLIBDIR)
+	@mkdir -p $(DESTDIR)$(PLUGINLIBDIR)
+	@cp --remove-destination $(PLUGINDIR)/lib/lib*-*.so.$(APIVERSION) $(DESTDIR)$(PLUGINLIBDIR)
 
 # Source documentation:
 
diff -ruN vdr-1.5.7/PLUGINS/src/hello/HISTORY vdr-1.5.8/PLUGINS/src/hello/HISTORY
--- vdr-1.5.7/PLUGINS/src/hello/HISTORY	2007-08-10 16:02:15.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/hello/HISTORY	2007-08-15 15:17:26.000000000 +0200
@@ -53,3 +53,8 @@
 2007-08-11: Version 0.2.0
 
 - Switched to 'gettext' internationalization.
+
+2007-08-15: Version 0.2.1
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/hello/Makefile vdr-1.5.8/PLUGINS/src/hello/Makefile
--- vdr-1.5.7/PLUGINS/src/hello/Makefile	2007-08-11 12:18:16.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/hello/Makefile	2007-08-19 16:18:59.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.16 2007/08/11 10:18:16 kls Exp $
+# $Id: Makefile 1.18 2007/08/19 14:18:59 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -49,6 +49,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so i18n
+
 ### Implicit rules:
 
 %.o: %.c
@@ -85,13 +89,11 @@
 	@mkdir -p $(LOCALEDIR)
 	for i in $(I18Ndirs); do\
 	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
-	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/$(PLUGIN).mo;\
+	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
 	    done
 
 ### Targets:
 
-all: libvdr-$(PLUGIN).so i18n
-
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/hello/hello.c vdr-1.5.8/PLUGINS/src/hello/hello.c
--- vdr-1.5.7/PLUGINS/src/hello/hello.c	2007-08-11 11:31:17.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/hello/hello.c	2007-08-15 15:17:16.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: hello.c 1.13 2007/08/11 09:31:17 kls Exp $
+ * $Id: hello.c 1.14 2007/08/15 13:17:16 kls Exp $
  */
 
 #include <getopt.h>
@@ -12,7 +12,7 @@
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.2.0";
+static const char *VERSION        = "0.2.1";
 static const char *DESCRIPTION    = trNOOP("A friendly greeting");
 static const char *MAINMENUENTRY  = trNOOP("Hello");
 
diff -ruN vdr-1.5.7/PLUGINS/src/osddemo/HISTORY vdr-1.5.8/PLUGINS/src/osddemo/HISTORY
--- vdr-1.5.7/PLUGINS/src/osddemo/HISTORY	2004-04-30 17:04:56.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/osddemo/HISTORY	2007-08-15 15:17:40.000000000 +0200
@@ -12,3 +12,8 @@
 2004-04-30: Version 0.1.1
 
 - New OSD handling.
+
+2007-08-15: Version 0.1.2
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/osddemo/Makefile vdr-1.5.8/PLUGINS/src/osddemo/Makefile
--- vdr-1.5.7/PLUGINS/src/osddemo/Makefile	2006-09-09 14:38:35.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/osddemo/Makefile	2007-08-15 15:05:24.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.9 2006/09/09 12:38:35 kls Exp $
+# $Id: Makefile 1.10 2007/08/15 13:05:24 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -47,6 +47,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so
+
 ### Implicit rules:
 
 %.o: %.c
@@ -63,8 +67,6 @@
 
 ### Targets:
 
-all: libvdr-$(PLUGIN).so
-
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/osddemo/osddemo.c vdr-1.5.8/PLUGINS/src/osddemo/osddemo.c
--- vdr-1.5.7/PLUGINS/src/osddemo/osddemo.c	2004-05-16 11:28:51.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/osddemo/osddemo.c	2007-08-15 15:17:55.000000000 +0200
@@ -3,12 +3,12 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: osddemo.c 1.3 2004/05/16 09:28:51 kls Exp $
+ * $Id: osddemo.c 1.4 2007/08/15 13:17:55 kls Exp $
  */
 
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.1.1";
+static const char *VERSION        = "0.1.2";
 static const char *DESCRIPTION    = "Demo of arbitrary OSD setup";
 static const char *MAINMENUENTRY  = "Osd Demo";
 
diff -ruN vdr-1.5.7/PLUGINS/src/servicedemo/HISTORY vdr-1.5.8/PLUGINS/src/servicedemo/HISTORY
--- vdr-1.5.7/PLUGINS/src/servicedemo/HISTORY	2005-08-21 12:35:27.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/servicedemo/HISTORY	2007-08-15 15:18:16.000000000 +0200
@@ -4,3 +4,8 @@
 2005-08-21: Version 0.1.1
 
 - Initial revision.
+
+2007-08-15: Version 0.1.2
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/servicedemo/Makefile vdr-1.5.8/PLUGINS/src/servicedemo/Makefile
--- vdr-1.5.7/PLUGINS/src/servicedemo/Makefile	2006-09-09 14:38:35.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/servicedemo/Makefile	2007-08-15 15:05:42.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.8 2006/09/09 12:38:35 kls Exp $
+# $Id: Makefile 1.9 2007/08/15 13:05:42 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -49,6 +49,10 @@
 
 OBJS = $(PLUGIN1).o $(PLUGIN2).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN1).so libvdr-$(PLUGIN2).so
+
 ### Implicit rules:
 
 %.o: %.c
@@ -65,8 +69,6 @@
 
 ### Targets:
 
-all: libvdr-$(PLUGIN1).so libvdr-$(PLUGIN2).so
-
 libvdr-$(PLUGIN1).so: $(PLUGIN1).o
 	$(CXX) $(CXXFLAGS) -shared $(PLUGIN1).o -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/servicedemo/svccli.c vdr-1.5.8/PLUGINS/src/servicedemo/svccli.c
--- vdr-1.5.7/PLUGINS/src/servicedemo/svccli.c	2005-08-21 12:44:29.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/servicedemo/svccli.c	2007-08-15 15:18:08.000000000 +0200
@@ -3,14 +3,14 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svccli.c 1.1 2005/08/21 10:44:29 kls Exp $
+ * $Id: svccli.c 1.2 2007/08/15 13:18:08 kls Exp $
  */
 
 #include <stdlib.h>
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.1.1";
+static const char *VERSION        = "0.1.2";
 static const char *DESCRIPTION    = "Service demo client";
 static const char *MAINMENUENTRY  = "Service demo";
 
diff -ruN vdr-1.5.7/PLUGINS/src/servicedemo/svcsvr.c vdr-1.5.8/PLUGINS/src/servicedemo/svcsvr.c
--- vdr-1.5.7/PLUGINS/src/servicedemo/svcsvr.c	2005-08-21 12:44:24.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/servicedemo/svcsvr.c	2007-08-15 15:18:59.000000000 +0200
@@ -3,14 +3,14 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svcsvr.c 1.1 2005/08/21 10:44:24 kls Exp $
+ * $Id: svcsvr.c 1.2 2007/08/15 13:18:59 kls Exp $
  */
 
 #include <stdlib.h>
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.1.1";
+static const char *VERSION        = "0.1.2";
 static const char *DESCRIPTION    = "Service demo server";
 
 class cPluginSvcSvr : public cPlugin {
diff -ruN vdr-1.5.7/PLUGINS/src/skincurses/HISTORY vdr-1.5.8/PLUGINS/src/skincurses/HISTORY
--- vdr-1.5.7/PLUGINS/src/skincurses/HISTORY	2007-07-20 16:45:44.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/skincurses/HISTORY	2007-08-15 15:58:21.000000000 +0200
@@ -51,3 +51,9 @@
 2007-07-20: Version 0.1.2
 
 - Fixed clearing color buttons.
+
+2007-08-15: Version 0.1.3
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
+- Added internationalization.
diff -ruN vdr-1.5.7/PLUGINS/src/skincurses/Makefile vdr-1.5.8/PLUGINS/src/skincurses/Makefile
--- vdr-1.5.7/PLUGINS/src/skincurses/Makefile	2007-06-10 18:19:08.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/skincurses/Makefile	2007-08-19 16:19:07.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.8 2007/06/10 16:19:08 kls Exp $
+# $Id: Makefile 1.11 2007/08/19 14:19:07 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -47,6 +47,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so i18n
+
 ### Implicit rules:
 
 %.o: %.c
@@ -61,9 +65,32 @@
 
 -include $(DEPFILE)
 
-### Targets:
+### Internationalization (I18N):
 
-all: libvdr-$(PLUGIN).so
+PODIR     = po
+LOCALEDIR = $(VDRDIR)/locale
+I18Npo    = $(wildcard $(PODIR)/*.po)
+I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
+I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Npot   = $(PODIR)/$(PLUGIN).pot
+
+%.mo: %.po
+	msgfmt -c -o $@ $<
+
+$(I18Npot): $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $(wildcard *.c)
+
+$(I18Npo): $(I18Npot)
+	msgmerge -U --no-wrap -F --backup=none -q $@ $<
+
+i18n: $(I18Nmo)
+	@mkdir -p $(LOCALEDIR)
+	for i in $(I18Ndirs); do\
+	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
+	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
+	    done
+
+### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -lncursesw -o $@
@@ -78,4 +105,5 @@
 	@echo Distribution package created as $(PACKAGE).tgz
 
 clean:
+	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
diff -ruN vdr-1.5.7/PLUGINS/src/skincurses/skincurses.c vdr-1.5.8/PLUGINS/src/skincurses/skincurses.c
--- vdr-1.5.7/PLUGINS/src/skincurses/skincurses.c	2007-07-20 16:45:07.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/skincurses/skincurses.c	2007-08-15 16:01:54.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: skincurses.c 1.15 2007/07/20 14:45:07 kls Exp $
+ * $Id: skincurses.c 1.17 2007/08/15 14:01:54 kls Exp $
  */
 
 #include <ncurses.h>
@@ -11,8 +11,8 @@
 #include <vdr/plugin.h>
 #include <vdr/skins.h>
 
-static const char *VERSION        = "0.1.2";
-static const char *DESCRIPTION    = "A text only skin";
+static const char *VERSION        = "0.1.3";
+static const char *DESCRIPTION    = trNOOP("A text only skin");
 static const char *MAINMENUENTRY  = NULL;
 
 // --- cCursesFont -----------------------------------------------------------
@@ -738,13 +738,13 @@
   cPluginSkinCurses(void);
   virtual ~cPluginSkinCurses();
   virtual const char *Version(void) { return VERSION; }
-  virtual const char *Description(void) { return DESCRIPTION; }
+  virtual const char *Description(void) { return tr(DESCRIPTION); }
   virtual const char *CommandLineHelp(void);
   virtual bool ProcessArgs(int argc, char *argv[]);
   virtual bool Initialize(void);
   virtual bool Start(void);
   virtual void Housekeeping(void);
-  virtual const char *MainMenuEntry(void) { return MAINMENUENTRY; }
+  virtual const char *MainMenuEntry(void) { return tr(MAINMENUENTRY); }
   virtual cOsdObject *MainMenuAction(void);
   virtual cMenuSetupPage *SetupMenu(void);
   virtual bool SetupParse(const char *Name, const char *Value);
diff -ruN vdr-1.5.7/PLUGINS/src/sky/HISTORY vdr-1.5.8/PLUGINS/src/sky/HISTORY
--- vdr-1.5.7/PLUGINS/src/sky/HISTORY	2006-12-02 10:55:31.000000000 +0100
+++ vdr-1.5.8/PLUGINS/src/sky/HISTORY	2007-08-15 15:19:38.000000000 +0200
@@ -54,3 +54,8 @@
   use the new option -U of getskyepg.pl to have the information added to the URL
   as a query string.
 - The getskyepg.pl script now replaces "&amp;" with "&".
+
+2007-08-15:Version 0.3.6
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/sky/Makefile vdr-1.5.8/PLUGINS/src/sky/Makefile
--- vdr-1.5.7/PLUGINS/src/sky/Makefile	2006-09-09 14:38:35.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/sky/Makefile	2007-08-15 15:06:08.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.9 2006/09/09 12:38:35 kls Exp $
+# $Id: Makefile 1.10 2007/08/15 13:06:08 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -47,6 +47,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so
+
 ### Implicit rules:
 
 %.o: %.c
@@ -63,8 +67,6 @@
 
 ### Targets:
 
-all: libvdr-$(PLUGIN).so
-
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/sky/sky.c vdr-1.5.8/PLUGINS/src/sky/sky.c
--- vdr-1.5.7/PLUGINS/src/sky/sky.c	2006-03-26 11:21:10.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/sky/sky.c	2007-08-15 15:19:24.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: sky.c 1.13 2006/03/26 09:21:10 kls Exp $
+ * $Id: sky.c 1.14 2007/08/15 13:19:24 kls Exp $
  */
 
 #include <sys/socket.h>
@@ -15,7 +15,7 @@
 #include <vdr/plugin.h>
 #include <vdr/sources.h>
 
-static const char *VERSION        = "0.3.5";
+static const char *VERSION        = "0.3.6";
 static const char *DESCRIPTION    = "Sky Digibox interface";
 
 // --- cDigiboxDevice --------------------------------------------------------
diff -ruN vdr-1.5.7/PLUGINS/src/status/HISTORY vdr-1.5.8/PLUGINS/src/status/HISTORY
--- vdr-1.5.7/PLUGINS/src/status/HISTORY	2005-12-31 16:20:19.000000000 +0100
+++ vdr-1.5.8/PLUGINS/src/status/HISTORY	2007-08-15 15:19:52.000000000 +0200
@@ -35,3 +35,8 @@
 2005-12-31: Version 0.2.0
 
 - API change in cStatus.
+
+2007-08-15: Version 0.2.1
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/status/Makefile vdr-1.5.8/PLUGINS/src/status/Makefile
--- vdr-1.5.7/PLUGINS/src/status/Makefile	2006-09-09 14:38:35.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/status/Makefile	2007-08-15 15:06:17.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.13 2006/09/09 12:38:35 kls Exp $
+# $Id: Makefile 1.14 2007/08/15 13:06:17 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -47,6 +47,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so
+
 ### Implicit rules:
 
 %.o: %.c
@@ -63,8 +67,6 @@
 
 ### Targets:
 
-all: libvdr-$(PLUGIN).so
-
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/status/status.c vdr-1.5.8/PLUGINS/src/status/status.c
--- vdr-1.5.7/PLUGINS/src/status/status.c	2005-12-31 16:19:45.000000000 +0100
+++ vdr-1.5.8/PLUGINS/src/status/status.c	2007-08-15 15:19:44.000000000 +0200
@@ -3,13 +3,13 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: status.c 1.8 2005/12/31 15:19:45 kls Exp $
+ * $Id: status.c 1.9 2007/08/15 13:19:44 kls Exp $
  */
 
 #include <vdr/plugin.h>
 #include <vdr/status.h>
 
-static const char *VERSION        = "0.2.0";
+static const char *VERSION        = "0.2.1";
 static const char *DESCRIPTION    = "Status monitor test";
 static const char *MAINMENUENTRY  = NULL;
 
diff -ruN vdr-1.5.7/PLUGINS/src/svdrpdemo/HISTORY vdr-1.5.8/PLUGINS/src/svdrpdemo/HISTORY
--- vdr-1.5.7/PLUGINS/src/svdrpdemo/HISTORY	2005-08-28 23:11:00.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/svdrpdemo/HISTORY	2007-08-15 15:20:04.000000000 +0200
@@ -8,3 +8,8 @@
 2005-08-28: Version 0.0.2
 
 - Removed unused MAINMENUENTRY.
+
+2007-08-15: Version 0.0.3
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/svdrpdemo/Makefile vdr-1.5.8/PLUGINS/src/svdrpdemo/Makefile
--- vdr-1.5.7/PLUGINS/src/svdrpdemo/Makefile	2006-09-09 14:38:35.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/svdrpdemo/Makefile	2007-08-15 15:06:28.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.7 2006/09/09 12:38:35 kls Exp $
+# $Id: Makefile 1.8 2007/08/15 13:06:28 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -47,6 +47,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so
+
 ### Implicit rules:
 
 %.o: %.c
@@ -63,8 +67,6 @@
 
 ### Targets:
 
-all: libvdr-$(PLUGIN).so
-
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/svdrpdemo/svdrpdemo.c vdr-1.5.8/PLUGINS/src/svdrpdemo/svdrpdemo.c
--- vdr-1.5.7/PLUGINS/src/svdrpdemo/svdrpdemo.c	2005-08-28 23:11:14.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/svdrpdemo/svdrpdemo.c	2007-08-15 15:19:57.000000000 +0200
@@ -3,12 +3,12 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svdrpdemo.c 1.2 2005/08/28 21:11:14 kls Exp $
+ * $Id: svdrpdemo.c 1.3 2007/08/15 13:19:57 kls Exp $
  */
 
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.0.2";
+static const char *VERSION        = "0.0.3";
 static const char *DESCRIPTION    = "How to add SVDRP support to a plugin";
 
 class cPluginSvdrpdemo : public cPlugin {
diff -ruN vdr-1.5.7/config.h vdr-1.5.8/config.h
--- vdr-1.5.7/config.h	2007-08-10 15:01:52.000000000 +0200
+++ vdr-1.5.8/config.h	2007-08-12 22:38:10.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.296 2007/08/10 13:01:52 kls Exp $
+ * $Id: config.h 1.297 2007/08/12 20:38:10 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -22,13 +22,13 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.5.7"
-#define VDRVERSNUM   10507  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.5.8"
+#define VDRVERSNUM   10508  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
-#define APIVERSION  "1.5.7"
-#define APIVERSNUM   10507  // Version * 10000 + Major * 100 + Minor
+#define APIVERSION  "1.5.8"
+#define APIVERSNUM   10508  // Version * 10000 + Major * 100 + Minor
 
 // When loading plugins, VDR searches them by their APIVERSION, which
 // may be smaller than VDRVERSION in case there have been no changes to
